xcmddc(1)

NAME
xcmddc - monitor EDID fetching over i2c

SYNOPSIS
xcmddc [ -l [-v] ]
xcmddc [ -d POSITIONAL_NUMBER [--force-output] [--identify] ]
xcmddc [ --i2c NODE_NAME [--force-output] [--identify] ]
xcmddc [-h]

DESCRIPTION
The xcmddc tool fetches a monitors EDID data block over a i2c communication channel.

OPTIONS

-l  list devices. Only devices which provide a EDID data block and the EDID's header is valid will be counted. -v show each device by its node name.

-d=POSITIONAL_NUMBER , -d POSITIONAL_NUMBER
    position in device list. The numbering of monitors starts with zero for the first device. To get the number of all available devices use "xcmddc -l". The EDID data block is dumped to stdout. --force-output switch EDID header verificatcationn off. --identify dump the error code as integer to stdout.

--i2c=NODE_NAME , --i2c NODE_NAME
    select the i2c device node file. The EDID data block is dumped to stdout. The --i2c option is much faster than the -d option. This is because of much fewer timeouts reuired for counting the valid i2c device with the -d option. --force-output switch EDID header verification off. --identify dump the error code as integer to stdout.

GENERAL OPTIONS

-v, --verbose
    increase verbosity

EXAMPLES

Count available i2c->monitor devices:
    xcmddc -l

List available i2c->monitor devices by name:
    xcmddc -lv

Dump EDID from first i2c node:
    xcmddc -d 0

Dump EDID by i2c device name:
    xcmddc --i2c /dev/i2c-5

Print a help text:
    xcmddc -h

AUTHOR
Kai-Uwe Behrmann (ku.b (at) gmx.de)

COPYRIGHT
(c) 2010, Kai-Uwe Behrmann
License: MIT <http://www.opensource.org/licenses/mit-license.php>

SEE ALSO
xcmedid(1) xcmevents(1) libXcm(3) XcmDDC(3)
http://www.oyranos.org

REPORTING BUGS
at: https://github.com/oyranos-cms/xcm/issues